import { config as dotenv } from 'dotenv';
import { server, WrappedApiEndpointHandler } from './lib/server';
import { prisma } from './lib/db';
import { logger } from './lib/logger';
import * as routes from './routes';
import { each } from 'lodash';

dotenv();

each(routes, route => {
  server.express[route.method](route.path, route.handler);
});


server.start(process.env.PORT || '9090').catch(err => {
  logger.error(err);
  throw err;
});

setInterval(async () => {
  await prisma.$transaction([
    prisma.$queryRaw`update "Player" set stamina = stamina + 1 where stamina < (woosh * level + 19)`,
    prisma.$queryRaw`update "Player" set hp = hp + 1 where hp < (zest * 3 + 2 * level)`
  ]);
  logger.info('Updated HP and Stamina');
}, 1000 * 60);
