export class HttpError extends Error {
  statusCode: number;
  errorCode: string;
  constructor(msg: string, statusCode: number, errorCode: string) {
    super(msg);
    this.statusCode = statusCode;
    this.errorCode = errorCode;
  }
}

export class ForbiddenError extends HttpError {
  constructor(msg: string = 'Forbidden') {
    super(msg, 401, 'forbidden');
  }
}

export class BadInputError extends HttpError {
  constructor(msg: string = 'Bad Input') {
    super(msg, 400, 'bad_input');
  }
}

export class NotFoundError extends HttpError {
  constructor(msg: string = 'Not Found') {
    super(msg, 404, 'missing');
  }
}
