type ProgressBarOptions = {
  color: string;
}

function calculatePercent(current: number, max: number): number {
  return (current / max) * 100;
}

export function progressBar(current: number, max: number, options: ProgressBarOptions): string {
  const percent = calculatePercent(current, max)
  return `
  <div class="progress d-inline-block" title="${percent}%">
  <div class="progress-bar bg-${options.color}" role="progressbar" style="width: ${percent}%;" aria-valuenow="${percent}" aria-valuemin="0" aria-valuemax="100">
  ${current}/${max}
  </div>
  </div>
  `;
}

export function actionLog(text: string, replace: boolean = true) {
  const str = `<div class="log-item animated fadeIn" title="${Date.now()}">${text}</div>`;

  replace ? $(`#action-log`).html(str): $(`#action-log`).append(str);
}
