

type EventHandler = (args: any) => void;

export class Events {
  events: Record<string, EventHandler[]>;

  constructor() {
    this.events = {};
  }

  on(eventName: string, fn: EventHandler) {
    if(!this.events[eventName]) {
      this.events[eventName] = [];
    }

    this.events[eventName].push(fn);
  }

  emit(eventName: string, args: any) {
    if(this.events[eventName]) {
      this.events[eventName].forEach(fn => fn(args));
    }
  }
}
